Summary: A secure replacement for inetd.
Name: xinetd
Version: 2.3.0
Release: 1
Group: System Environment/Daemons
Copyright: Distributable (BSD-like)
Url: http://www.xinetd.org/
Packager: Hao Li <hli@haoli.org>
Source: http://www.xinetd.org/xinetd-%{version}.tar.gz
Source1: xinetd.init
Source2: xinetd.conf
Source4: xinetd-ttime
Source5: xinetd-utime
Source6: xinetd-tdtime
Source7: xinetd-udtime
Source8: xinetd-echo
Source9: xinetd-uecho
Source10: xinetd-chargen
Source11: xinetd-uchargen
Patch0: xinetd-2.1.8.9pre10-skipjunkfiles.patch
BuildRoot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig /etc/init.d /sbin/service
BuildRequires: tcp_wrappers
Requires: filesystem >= 2.0.1, initscripts >= 5.54, setup, fileutils
Provides: inetd
Obsoletes: inetd, netkit-base

%description
Xinetd is a secure replacement for inetd, the Internet services
daemon.  Xinetd provides access control for all services based on the
address of the remote host and/or on time of access and can prevent
denial-of-access attacks. Xinetd provides extensive logging, has no
limit on the number of server arguments and you can bind specific
services to specific IP addresses on your host machine. It also enables
information of a service to be in a separate file


%prep
%setup -q 
%patch0 -p1


%build
CFLAGS=$RPM_OPT_FLAGS ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-libwrap
make


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/xinetd.d/}
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/xinetd.d/time
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/xinetd.d/time-udp
install -m 644 %SOURCE6 $RPM_BUILD_ROOT/etc/xinetd.d/daytime
install -m 644 %SOURCE7 $RPM_BUILD_ROOT/etc/xinetd.d/daytime-udp
install -m 644 %SOURCE8 $RPM_BUILD_ROOT/etc/xinetd.d/echo
install -m 644 %SOURCE9 $RPM_BUILD_ROOT/etc/xinetd.d/echo-udp
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/xinetd.d/chargen
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/etc/xinetd.d/chargen-udp

# We don't need any inetd -> xinetd conversion utilities
rm -f $RPM_BUILD_ROOT/usr/man/man8/itox.*
rm -f $RPM_BUILD_ROOT/usr/sbin/itox
rm -f $RPM_BUILD_ROOT/usr/sbin/xconv.pl


%post
chmod +x /usr/sbin/inetdconvert
if [ $1 = 1 ]; then
    /sbin/chkconfig --add xinetd 
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xinetd 
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service xinetd condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc INSTALL README xinetd/{CHANGELOG,COPYRIGHT,sample.conf}
%config /etc/rc.d/init.d/xinetd
%config /etc/xinetd.conf
%config(noreplace) /etc/xinetd.d/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

